<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                template="./../plantilla-principal.xhtml"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">

    <ui:define name="contenido">
        <f:metadata>
            <f:event type="preRenderView" listener="#{sessionManBean.modulosFuncionalidad(11)}"></f:event>
        </f:metadata>
        <h:form prependId="false" class="ui menu">
            <div class="borderless header item">
                <div style="font-size: 22px">
                    <i class="list alternate icon" />
                    Talonarios
                </div>
            </div>
            <div class="right menu">
                <div class="ui right aligned category search item">
                    <div class="ui transparent icon input">
                        <h:inputText id="in-busqueda" class="prompt" pt:placeholder="Buscar..." value="#{talonariosManBean.busquedaTalonario}" />
                        <i id="icon-busqueda" class="search icon"></i>
                        <h:commandLink id="cml-buscar">
                            <f:ajax execute="in-busqueda @this" render="form-tabla" onevent="function(data){ajaxBusquedaTalonario(data)}" />
                        </h:commandLink>
                    </div>
                </div>
                <div class="item">
                    <div onclick="mostrarModalConfElim();" id="btn-eliminar" class="ui red icon button" style="display: none;" data-tooltip="Eliminar talonarios seleccionados" data-inverted="" data-position="bottom right">
                        <i class="trash icon" />
                    </div>
                    <h:commandLink style="margin-left: 5px;" class="ui green icon button" action="#{talonariosManBean.limpiarDatosTalonario()}" pt:data-tooltip="Nuevo talonario" pt:data-inverted="" pt:data-position="bottom right">
                        <i class="add icon" />
                        <f:ajax execute="@this" render="form-datos" onevent="function(data){ajaxLimpiarFormulario(data)}" />
                    </h:commandLink>
                </div>
            </div>
        </h:form>
        <div class="ui grid">
            <div class="eleven wide column">
                <table jsf:id="tabla-talonarios" class="ui selectable celled table">
                    <thead>
                        <tr>
                            <th class="collapsing">
                                <div onclick="seleccionarTodo()" class="ui fitted checkbox">
                                    <input type="checkbox" id="chk-selec-todo"/>
                                    <label/>
                                </div>
                            </th>
                            <th>Cód.</th>
                            <th class="right aligned">Timbrado</th>
                            <th>Cód. Estab.</th>
                            <th>Inicio vigencia</th>
                            <th>Fin vigencia</th>
                            <th class="right aligned">No. Inicio</th>
                            <th class="right aligned">No. Fin</th>
                            <th class="right aligned">No. Actual</th>
                            <th class="collapsing"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <ui:repeat value="#{talonariosManBean.lstTalonarios}" var="talonario" varStatus="talonarioStatus">
                            <tr class="cursor: pointer;" id="rw-#{talonario.idtalonario}">
                                <td onclick="agregarSeleccion(#{talonario.idtalonario})">
                                    <div class="ui fitted checkbox">
                                        <input type="checkbox" id="chk-sl-#{talonario.idtalonario}"/>
                                        <label/>
                                    </div>
                                </td>
                                <td style="cursor: pointer" id="col-idtalonario-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">#{talonario.idtalonario}</td>
                                <td class="right aligned" style="cursor: pointer" id="col-timbrado-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">#{talonario.timbrado}</td>
                                <td style="cursor: pointer" id="col-codestable-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">#{talonario.codEstablecimiento}</td>
                                <td style="cursor: pointer" id="col-fechainicio-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">
                                    <h:outputText value="#{talonario.inicioVigencia}">
                                        <f:convertDateTime pattern="dd/MM/yyyy" />
                                    </h:outputText>
                                </td>
                                <td style="cursor: pointer" id="col-fechafin-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">
                                    <h:outputText value="#{talonario.finVigencia}">
                                        <f:convertDateTime pattern="dd/MM/yyyy" />
                                    </h:outputText> 
                                </td>
                                <td class="right aligned" style="cursor: pointer" id="col-noinicio-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">#{talonario.nroInicio}</td>
                                <td class="right aligned" style="cursor: pointer" id="col-nofin-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">#{talonario.nroFin}</td>
                                <td class="right aligned" style="cursor: pointer" id="col-noactual-#{talonario.idtalonario}" onclick="selecUnaFila(#{talonario.idtalonario})">#{talonario.nroActual}</td>
                                <td style="cursor: pointer" onclick="selecUnaFila(#{talonario.idtalonario})" class="right aligned">
                                    <span data-tooltip="#{talonario.activo?'Activo':'Inactivo'}" data-inverted="">
                                        <i class="#{talonario.activo?'green check icon':'black minus icon'}" />
                                    </span>
                                </td>
                            </tr>
                        </ui:repeat>
                    </tbody>
                </table>
                <h:form prependId="false">
                    <h:inputHidden id="in-idtalonariosel" value="#{talonariosManBean.idTalonario}" />
                    <h:commandLink id="cml-seleccionartalonario" action="#{talonariosManBean.seleccionarTalonario()}" style="display: none">                        
                        <f:ajax execute="@form" render="form-datos" onevent="function(data){ajaxSeleccionarTalonario(data)}"/>
                    </h:commandLink>
                </h:form>
            </div>
            <div class="five wide column">
                <h:form class="ui form" prependId="false" id="form-datos">
                    <div class="field">
                        <label>Código</label>
                        <h:inputText id="in-idtalonario" value="#{talonariosManBean.idTalonario}" pt:readonly="" pt:placeholder="Código" />
                    </div>
                    <div class="two fields">
                        <div id="fieldTimbrado" class="field">
                            <label>No. Timbrado</label>
                            <h:inputText id="in-notimbrado" pt:placeholder="Ej.: 11222333" value="#{talonariosManBean.timbrado}"/>
                        </div>
                        <div id="fieldCodEstablecimiento" class="field">
                            <label>Cod. Establcimiento</label>
                            <h:inputText id="in-codestablecimiento" pt:placeholder="Ej.: 001-001" value="#{talonariosManBean.codEstablecimiento}"/>
                        </div>
                    </div>
                    <div class="two fields">
                        <div id="fieldFechaInicioVigencia" class="field">
                            <label>Fecha Inicio Vigecia</label>
                            <div class="ui calendar" id="fecha-inicio">
                                <div class="ui input left icon">
                                    <i class="calendar icon" />
                                    <h:inputText id="in-fecha-inicio" pt:placeholder="Fecha" value="#{talonariosManBean.strFechaInicio}" />
                                </div>
                            </div>
                        </div>
                        <div id="fieldFechaFinVigencia" class="field">
                            <label>Fecha Fin Vigecia</label>
                            <div class="ui calendar" id="fecha-fin">
                                <div class="ui input left icon">
                                    <i class="calendar icon" />
                                    <h:inputText id="in-fecha-fin" pt:placeholder="Fecha" value="#{talonariosManBean.strFechaFin}" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="two fields">
                        <div id="fieldNoInicio" class="field">
                            <label>No. Inicio</label>
                            <h:inputText id="in-noinicio" pt:type="number" value="#{talonariosManBean.nroInicio}" />
                        </div>
                        <div id="fieldNoFin" class="field">
                            <label>No. Fin</label>
                            <h:inputText id="in-nofin" pt:type="number" value="#{talonariosManBean.nroFin}" />
                        </div>
                    </div>
                    <div id="fieldNoActual" class="field">
                        <label>No. Actual</label>
                        <h:inputText id="in-noactual" pt:type="number" value="#{talonariosManBean.nroActual}" />
                    </div>
                    <div id="fieldTerminalImpresion" class="field">
                        <label>Terminal de impresión</label>
                        <div class="ui selection dropdown" id="cmb-terminal">
                            <h:inputHidden id="in-idterminal" value="#{talonariosManBean.idTerminalImpresion}" />
                            <i class="dropdown icon"></i>
                            <div class="default text">Terminal de impresión</div>
                            <div class="menu">
                                <ui:repeat value="#{talonariosManBean.lstTerminalesImpresion}" var="terminal">
                                    <div class="item" data-value="#{terminal.idterminalImpresion}">#{terminal.descripcion}</div>
                                </ui:repeat>
                            </div>
                        </div>
                    </div>
                    <div id="fieldFormatoImpresion" class="field">
                        <label>Formato</label>
                        <div class="ui selection dropdown" id="cmb-formato">
                            <h:inputHidden id="in-formatoimpresion" value="#{talonariosManBean.formatoImpresion}" />
                            <i class="dropdown icon"></i>
                            <div class="default text">Formato de impresión</div>
                            <div class="menu">
                                <div class="item" data-value="rpFactura">Formato 1</div>
                                <div class="item" data-value="rpFactura2">Formato 2</div>
                            </div>
                        </div>
                    </div>

                    <div class="field">
                        <div class="ui checkbox">
                            <input jsf:value="#{talonariosManBean.talonarioActivo}" id="in-talon-activo" type="checkbox" />
                            <label>Activo</label>
                        </div>
                    </div>
                    <div class="field">
                        <h:commandLink id="btnGuardar" class="ui blue right labeled icon button" action="#{talonariosManBean.guardarTalonario()}" onclick="return validar();">
                            Guardar
                            <i class="save icon" />
                            <f:ajax execute="@form" render="tipoMsg cabeceraMsg detalleMsg tabla-talonarios" onevent="function(data){ajaxGuardarTalonario(data)}"/>
                        </h:commandLink>
                    </div>                    
                </h:form>
                <h:form prependId="false" id="msg-status" class="ui hidden message">
                    <h:inputHidden id="tipoMsg" value="#{talonariosManBean.tipoMsg}" />
                    <i class="close icon"></i>
                    <div id="titulo-msg" class="header">
                        <h:outputText id="cabeceraMsg" value="#{talonariosManBean.cabeceraMsg}" />
                    </div>
                    <h:outputText id="detalleMsg" value="#{talonariosManBean.detalleMsg}" />
                </h:form>
            </div>
        </div>

        <h:form prependId="false" id="dlg-conf-elim" class="ui basic modal">
            <h:inputHidden id="selbar" value="#{talonariosManBean.selElimJSON}"/>
            <div class="ui icon header">
                <i class="list alternate icon"></i>
                Eliminar talonarios
            </div>
            <div class="centered content">
                <p>¿Desea eliminar los elementos seleccionados?</p>
            </div>
            <div class="actions">
                <div class="ui basic cancel inverted button">
                    <i class="close icon"></i>
                    Cancelar
                </div>
                <button jsf:action="#{talonariosManBean.eliminarTalonarios()}" class="ui red ok inverted button">
                    <i class="trash icon"></i>
                    Eliminar
                    <f:ajax execute="@form" render="tipoMsg cabeceraMsg detalleMsg tabla-talonarios" onevent="function(data){ajaxEliminarTalonarios(data)}"/>
                </button>

            </div>
        </h:form>
        <h:outputScript target="body" library="js" name="facturas/talonarios.js" />
    </ui:define>

</ui:composition>
